$! Configure procedure 
$! (c) Alexey Chupahin  23-APR-2008
$! 
$!
$!
$! HAVE_JPEG,  HAVE_JPEG_SHARED   -- test for libjpeg  JPEG_LIBRARY_PATH - a path of library to be used
$! HAVE_ZLIB,  HAVE_ZLIB_SHARED  -- test for libz
$! HAVE_LFIND, HAVE_STRCASECMP   -- correspond libraries
$! 
$!
$ SET NOON
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT "Configuring libPNG library"
$WRITE SYS$OUTPUT "(c) Alexey Chupahin "
$WRITE SYS$OUTPUT " "
$! Checking architecture
$DECC = F$SEARCH("SYS$SYSTEM:DECC$COMPILER.EXE") .NES. ""
$    IF F$GETSYI("ARCH_TYPE").EQ.1 THEN CPU = "VAX"
$    IF F$GETSYI("ARCH_TYPE").EQ.2 THEN CPU = "Alpha"
$    IF F$GETSYI("ARCH_TYPE").EQ.3 THEN CPU = "I64"
$WRITE SYS$OUTPUT "Checking architecture 	...  ", CPU
$SHARED=0
$IF ( (CPU.EQS."Alpha").OR.(CPU.EQS."I64") )
$  THEN 
$	SHARED=64
$  ELSE
$	SHARED=32
$ENDIF
$IF (DECC) THEN $WRITE SYS$OUTPUT  "Compiler		...  DEC C"
$IF (.NOT. DECC) THEN $WRITE SYS$OUTPUT  "BAD compiler" GOTO EXIT
$MMS = F$SEARCH("SYS$SYSTEM:MMS.EXE") .NES. ""
$MMK = F$TYPE(MMK) 
$IF (MMS .OR. MMK.NES."") THEN GOTO TEST_LIBRARIES
$! I cant find any make tool
$ WRITE SYS$OUTPUT "Install MMS or MMK"
$GOTO EXIT
$!
$!
$TEST_LIBRARIES:
$!   Setting as MAKE utility one of MMS or MMK. I prefer MMS.
$IF (MMK.NES."") THEN MAKE="MMK"
$IF (MMS) THEN MAKE="MMS"
$WRITE SYS$OUTPUT "Checking build utility	...  ''MAKE'"
$WRITE SYS$OUTPUT " "
$!
$!
$IF (P1.EQS."STATIC") .OR. (P1.EQS."static") 
$ THEN 
$	SHARED=0
$	WRITE SYS$OUTPUT "Configure for static library"
$ENDIF
$!
$!
$!"Checking for correct zlib library    "
$ DEFINE SYS$ERROR _NLA0:
$ DEFINE SYS$OUTPUT _NLA0:
$ CC/OBJECT=TEST.OBJ/INCLUDE=(ZLIB) SYS$INPUT
      #include <stdlib.h>
      #include <stdio.h>
      #include <zlib.h>
   int main()
     {
        printf("checking version zlib:  %s\n",zlibVersion());
     }
$TMP = $STATUS
$DEASS SYS$ERROR
$DEAS  SYS$OUTPUT
$!WRITE SYS$OUTPUT TMP
$IF (TMP .NE. %X10B90001)
$  THEN
$       HAVE_ZLIB=0
$       ZLIB_SHARED=0
$!       GOTO EXIT
$ENDIF
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$!Testing for shared ZLIB
$COPY SYS$INPUT []OPT.OPT
SYS$SHARE:LIBZSHR/SHARE
$!
$LINK/EXE=TEST TEST,[]OPT/OPT
$TMP = $STATUS
$!DEL ZLIB.OPT;*
$DEAS SYS$ERROR
$DEAS SYS$OUTPUT
$IF (TMP .NE. %X10000001)
$  THEN
$       ZLIB_SHARED=0
$       GOTO NEXT1
$  ELSE
$       HAVE_ZLIB=0
$       ZLIB_SHARED=1
$ENDIF
$IF (ZLIB_SHARED.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct shared zlib library ...   Yes"
$       RUN TEST
$       GOTO NEXT2
$  ELSE
$ENDIF
$!
$NEXT1:
$COPY SYS$INPUT []OPT.OPT
ZLIB:LIBZ/LIB
$!
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$LINK/EXE=TEST TEST,ZLIB:LIBZ/LIB
$TMP = $STATUS
$DEAS  SYS$ERROR
$DEAS  SYS$OUTPUT
$IF (TMP .NE. %X10000001)
$  THEN
$       HAVE_ZLIB=0
$  ELSE
$       HAVE_ZLIB=1
$ENDIF
$IF (HAVE_ZLIB.EQ.1)
$  THEN
$       WRITE SYS$OUTPUT "Checking for correct zlib library ...   Yes"
$       RUN TEST
$  ELSE
$       WRITE SYS$OUTPUT "Checking for correct zlib library ...   No"
$       WRITE SYS$OUTPUT "This is fatal. Please download and install good library from fafner.dyndns.org/~alexey/libsdl/public.html"
$       WRITE SYS$OUTPUT "copy LIBZSHR.EXE to SYS$SHARE if any or stay with static LIBZ.OLB"
$       WRITE SYS$OUTPUT "Do not forget define ZLIB logical to your path where LIBZ.OLB and include files are located"
$       WRITE SYS$OUTPUT ""
$       GOTO EXIT
$ENDIF
$!
$!
$NEXT2:
$!WRITING BUILD FILES
$OPEN/WRITE OUT BUILD.COM
$ WRITE OUT "$",MAKE
$ WRITE OUT "$ CURRENT = F$ENVIRONMENT (""DEFAULT"") "
$ WRITE OUT "$TIFF=CURRENT"
$ WRITE OUT "$OPEN/WRITE OUTT LIBPNG$STARTUP.COM"
$ WRITE OUT "$WRITE OUTT ""DEFINE PNG ","'","'","TIFF'"" "
$ WRITE OUT "$CLOSE OUTT"
$ WRITE OUT "$OPEN/WRITE OUTT LIBPNG.OPT"
$  IF (SHARED.GT.0)
$    THEN
$	WRITE OUT "$WRITE OUTT ""SYS$SHARE:PNG$SHR/SHARE"" "
$    ELSE
$ 	WRITE OUT "$WRITE OUTT ""PNG:LIBPNG/LIB"" "
$ 	WRITE OUT "$WRITE OUTT ""ZLIB:LIBZ/LIB"" "
$  ENDIF
$ WRITE OUT "$CLOSE OUTT"
$!
$ WRITE OUT "$WRITE SYS$OUTPUT "" "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""LIBPNG$STARTUP.COM has been created. "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""This file setups all logicals needed. It should be execute before using LibPNG "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""Nice place to call it - LOGIN.COM "" "
$ WRITE OUT "$WRITE SYS$OUTPUT "" "" "
$ WRITE OUT "$WRITE SYS$OUTPUT ""Compiling projects: "" "
$ IF (SHARED.GT.0)
$  THEN
$ 	WRITE OUT "$WRITE SYS$OUTPUT ""CC/INCL=(PNG,ZLIB) TESTPNG "" "
$ 	WRITE OUT "$WRITE SYS$OUTPUT ""LINK TESTPNG,PNG:LIBPNG$SHR/OPT "" "
$  ELSE
$ 	WRITE OUT "$WRITE SYS$OUTPUT ""CC/INCL=(PNG,ZLIB) TESTPNG "" "
$ 	WRITE OUT "$WRITE SYS$OUTPUT ""LINK TESTPNG,PNG:LIBPNG/OPT "" "
$ ENDIF
$ WRITE OUT "$WRITE SYS$OUTPUT ""***************************************************************************** "" "
$CLOSE OUT
$!
$! DESCRIP.MMS 
COPY SYS$INPUT DESCRIP.MMS
# (c) Alexey Chupahin 23-APR-2008
# OpenVMS 7.3-1, DEC 2000 mod.300
# OpenVMS 8.3-H1,   HP rx1620

CC=cc
CFLAGS =  /INCLUDE=([],ZLIB) \
          /DEFINE=(HAVE_CONFIG_H,PNG_CONFIGURE_LIBPNG)\
          /OPTIMIZE=(INLINE=SPEED) 

OBJ=\
png.obj,\
pngerror.obj,\
pngget.obj,\
pngmem.obj,\
pngpread.obj,\
pngread.obj,\
pngrio.obj,\
pngrtran.obj,\
pngrutil.obj,\
pngset.obj,\
pngtrans.obj,\
pngwio.obj,\
pngwrite.obj,\
pngwtran.obj,\
pngwutil.obj


$IF (SHARED.GT.0)
$ THEN
$	APP SYS$INPUT DESCRIP.MMS
ALL : LIBPNG.OLB, PNG$SHR.EXE, PNGTEST.EXE
        COPY PNG$SHR.EXE SYS$SHARE:
        PURGE SYS$SHARE:PNG$SHR.EXE
        $!

PNG$SHR.EXE : LIBPNG.OLB
        LINK/SHARE=PNG$SHR []PNG,LIBPNG/LIB,OPT/OPT,PNG$DEF/OPT 

$ ELSE
$	APP SYS$INPUT DESCRIP.MMS
ALL : LIBPNG.OLB, PNGTEST.EXE
	$!

$ENDIF
$!
$APP SYS$INPUT DESCRIP.MMS
LIBPNG.OLB : $(OBJ)
        LIB/CREA LIBPNG $(OBJ)

png.obj : png.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

PNGTEST.EXE : pngtest.c
         $(CC) $(CFLAGS) $(MMS$SOURCE)
	 LINK PNGTEST,LIBPNG/LIB,OPT/OPT

pngerror.obj : pngerror.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pnggccrd.obj : pnggccrd.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngget.obj : pngget.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngmem.obj : pngmem.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngpread.obj : pngpread.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngread.obj : pngread.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngrio.obj : pngrio.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngrtran.obj : pngrtran.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngrutil.obj : pngrutil.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngset.obj : pngset.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngtest.obj : pngtest.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngtrans.obj : pngtrans.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngvcrd.obj : pngvcrd.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngwio.obj : pngwio.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngwrite.obj : pngwrite.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngwtran.obj : pngwtran.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)

pngwutil.obj : pngwutil.c
         $(CC) $(CFLAGS) $(MMS$SOURCE) /OBJ=$(MMS$TARGET)
$!
$! Writing TIFF$DEF.OPT
$ IF (SHARED.EQ.32)
$   THEN
$	COPY SYS$INPUT PNG$DEF.OPT
UNIVERSAL=png_build_grayscale_palette
UNIVERSAL=png_check_sig
UNIVERSAL=png_chunk_error
UNIVERSAL=png_chunk_warning
UNIVERSAL=png_convert_from_struct_tm
UNIVERSAL=png_convert_from_time_t
UNIVERSAL=png_create_info_struct
UNIVERSAL=png_create_read_struct
UNIVERSAL=png_create_write_struct
UNIVERSAL=png_data_freer
UNIVERSAL=png_destroy_info_struct
UNIVERSAL=png_destroy_read_struct
UNIVERSAL=png_destroy_write_struct
UNIVERSAL=png_error
UNIVERSAL=png_free
UNIVERSAL=png_free_data
UNIVERSAL=png_get_IHDR
UNIVERSAL=png_get_PLTE
UNIVERSAL=png_get_bKGD
UNIVERSAL=png_get_bit_depth
UNIVERSAL=png_get_cHRM
UNIVERSAL=png_get_cHRM_fixed
UNIVERSAL=png_get_channels
UNIVERSAL=png_get_color_type
UNIVERSAL=png_get_compression_buffer_size
UNIVERSAL=png_get_compression_type
UNIVERSAL=png_get_copyright
UNIVERSAL=png_get_error_ptr
UNIVERSAL=png_get_filter_type
UNIVERSAL=png_get_gAMA
UNIVERSAL=png_get_gAMA_fixed
UNIVERSAL=png_get_hIST
UNIVERSAL=png_get_header_ver
UNIVERSAL=png_get_header_version
UNIVERSAL=png_get_iCCP
UNIVERSAL=png_get_image_height
UNIVERSAL=png_get_image_width
UNIVERSAL=png_get_interlace_type
UNIVERSAL=png_get_io_ptr
UNIVERSAL=png_get_libpng_ver
UNIVERSAL=png_get_oFFs
UNIVERSAL=png_get_pCAL
UNIVERSAL=png_get_pHYs
UNIVERSAL=png_get_pixel_aspect_ratio
UNIVERSAL=png_get_pixels_per_meter
UNIVERSAL=png_get_progressive_ptr
UNIVERSAL=png_get_rgb_to_gray_status
UNIVERSAL=png_get_rowbytes
UNIVERSAL=png_get_rows
UNIVERSAL=png_get_sBIT
UNIVERSAL=png_get_sCAL
UNIVERSAL=png_get_sPLT
UNIVERSAL=png_get_sRGB
UNIVERSAL=png_get_signature
UNIVERSAL=png_get_tIME
UNIVERSAL=png_get_tRNS
UNIVERSAL=png_get_text
UNIVERSAL=png_get_unknown_chunks
UNIVERSAL=png_get_user_chunk_ptr
UNIVERSAL=png_get_user_transform_ptr
UNIVERSAL=png_get_valid
UNIVERSAL=png_get_x_offset_microns
UNIVERSAL=png_get_x_offset_pixels
UNIVERSAL=png_get_x_pixels_per_meter
UNIVERSAL=png_get_y_offset_microns
UNIVERSAL=png_get_y_offset_pixels
UNIVERSAL=png_get_y_pixels_per_meter
UNIVERSAL=png_malloc
UNIVERSAL=png_memcpy_check
UNIVERSAL=png_memset_check
UNIVERSAL=png_permit_empty_plte
UNIVERSAL=png_process_data
UNIVERSAL=png_progressive_combine_row
UNIVERSAL=png_read_end
UNIVERSAL=png_read_image
UNIVERSAL=png_read_info
UNIVERSAL=png_read_init
UNIVERSAL=png_read_png
UNIVERSAL=png_read_row
UNIVERSAL=png_read_rows
UNIVERSAL=png_read_update_info
UNIVERSAL=png_reset_zstream
UNIVERSAL=png_set_IHDR
UNIVERSAL=png_set_PLTE
UNIVERSAL=png_set_bKGD
UNIVERSAL=png_set_background
UNIVERSAL=png_set_bgr
UNIVERSAL=png_set_cHRM
UNIVERSAL=png_set_cHRM_fixed
UNIVERSAL=png_set_compression_buffer_size
UNIVERSAL=png_set_compression_level
UNIVERSAL=png_set_compression_mem_level
UNIVERSAL=png_set_compression_method
UNIVERSAL=png_set_compression_strategy
UNIVERSAL=png_set_compression_window_bits
UNIVERSAL=png_set_crc_action
UNIVERSAL=png_set_dither
UNIVERSAL=png_set_error_fn
UNIVERSAL=png_set_expand
UNIVERSAL=png_set_filler
UNIVERSAL=png_set_filter
UNIVERSAL=png_set_filter_heuristics
UNIVERSAL=png_set_flush
UNIVERSAL=png_set_gAMA
UNIVERSAL=png_set_gAMA_fixed
UNIVERSAL=png_set_gamma
UNIVERSAL=png_set_gray_1_2_4_to_8
UNIVERSAL=png_set_gray_to_rgb
UNIVERSAL=png_set_hIST
UNIVERSAL=png_set_iCCP
UNIVERSAL=png_set_interlace_handling
UNIVERSAL=png_set_invert_alpha
UNIVERSAL=png_set_invert_mono
UNIVERSAL=png_set_keep_unknown_chunks
UNIVERSAL=png_set_oFFs
UNIVERSAL=png_set_pCAL
UNIVERSAL=png_set_pHYs
UNIVERSAL=png_set_packing
UNIVERSAL=png_set_packswap
UNIVERSAL=png_set_palette_to_rgb
UNIVERSAL=png_set_progressive_read_fn
UNIVERSAL=png_set_read_fn
UNIVERSAL=png_set_read_status_fn
UNIVERSAL=png_set_read_user_chunk_fn
UNIVERSAL=png_set_read_user_transform_fn
UNIVERSAL=png_set_rgb_to_gray
UNIVERSAL=png_set_rgb_to_gray_fixed
UNIVERSAL=png_set_rows
UNIVERSAL=png_set_sBIT
UNIVERSAL=png_set_sCAL
UNIVERSAL=png_set_sPLT
UNIVERSAL=png_set_sRGB
UNIVERSAL=png_set_sRGB_gAMA_and_cHRM
UNIVERSAL=png_set_shift
UNIVERSAL=png_set_sig_bytes
UNIVERSAL=png_set_strip_16
UNIVERSAL=png_set_strip_alpha
UNIVERSAL=png_set_swap
UNIVERSAL=png_set_swap_alpha
UNIVERSAL=png_set_tIME
UNIVERSAL=png_set_tRNS
UNIVERSAL=png_set_tRNS_to_alpha
UNIVERSAL=png_set_text
UNIVERSAL=png_set_unknown_chunk_location
UNIVERSAL=png_set_unknown_chunks
UNIVERSAL=png_set_user_transform_info
UNIVERSAL=png_set_write_fn
UNIVERSAL=png_set_write_status_fn
UNIVERSAL=png_set_write_user_transform_fn
UNIVERSAL=png_sig_cmp
UNIVERSAL=png_start_read_image
UNIVERSAL=png_warning
UNIVERSAL=png_write_chunk
UNIVERSAL=png_write_chunk_data
UNIVERSAL=png_write_chunk_end
UNIVERSAL=png_write_chunk_start
UNIVERSAL=png_write_end
UNIVERSAL=png_write_flush
UNIVERSAL=png_write_image
UNIVERSAL=png_write_info
UNIVERSAL=png_write_info_before_PLTE
UNIVERSAL=png_write_init
UNIVERSAL=png_write_png
UNIVERSAL=png_write_row
UNIVERSAL=png_write_rows
UNIVERSAL=png_read_init_2
UNIVERSAL=png_write_init_2
UNIVERSAL=png_access_version_number
UNIVERSAL=png_init_io
UNIVERSAL=png_convert_to_rfc1123
UNIVERSAL=png_set_invalid
UNIVERSAL=png_permit_mng_features
UNIVERSAL=png_handle_as_unknown
UNIVERSAL=png_malloc_warn
UNIVERSAL=png_set_user_limits
UNIVERSAL=png_get_user_height_max
UNIVERSAL=png_get_user_width_max
UNIVERSAL=png_set_add_alpha 
UNIVERSAL=png_libpng_ver
UNIVERSAL=png_sig 
$ ENDIF
$ IF (SHARED.EQ.64)
$   THEN
$       COPY SYS$INPUT PNG$DEF.OPT
SYMBOL_VECTOR= (-
png_build_grayscale_palette=PROCEDURE,-
png_check_sig=PROCEDURE,-
png_chunk_error=PROCEDURE,-
png_chunk_warning=PROCEDURE,-
png_convert_from_struct_tm=PROCEDURE,-
png_convert_from_time_t=PROCEDURE,-
png_create_info_struct=PROCEDURE,-
png_create_read_struct=PROCEDURE,-
png_create_write_struct=PROCEDURE,-
png_data_freer=PROCEDURE,-
png_destroy_info_struct=PROCEDURE,-
png_destroy_read_struct=PROCEDURE,-
png_destroy_write_struct=PROCEDURE,-
png_error=PROCEDURE,-
png_free=PROCEDURE,-
png_free_data=PROCEDURE,-
png_get_IHDR=PROCEDURE,-
png_get_PLTE=PROCEDURE,-
png_get_bKGD=PROCEDURE,-
png_get_bit_depth=PROCEDURE,-
png_get_cHRM=PROCEDURE,-
png_get_cHRM_fixed=PROCEDURE,-
png_get_channels=PROCEDURE,-
png_get_color_type=PROCEDURE,-
png_get_compression_buffer_size=PROCEDURE,-
png_get_compression_type=PROCEDURE,-
png_get_copyright=PROCEDURE,-
png_get_error_ptr=PROCEDURE,-
png_get_filter_type=PROCEDURE,-
png_get_gAMA=PROCEDURE,-
png_get_gAMA_fixed=PROCEDURE,-
png_get_hIST=PROCEDURE,-
png_get_header_ver=PROCEDURE,-
png_get_header_version=PROCEDURE,-
png_get_iCCP=PROCEDURE,-
png_get_image_height=PROCEDURE,-
png_get_image_width=PROCEDURE,-
png_get_interlace_type=PROCEDURE,-
png_get_io_ptr=PROCEDURE,-
png_get_libpng_ver=PROCEDURE,-
png_get_oFFs=PROCEDURE,-
png_get_pCAL=PROCEDURE,-
png_get_pHYs=PROCEDURE,-
png_get_pixel_aspect_ratio=PROCEDURE,-
png_get_pixels_per_meter=PROCEDURE,-
png_get_progressive_ptr=PROCEDURE,-
png_get_rgb_to_gray_status=PROCEDURE,-
png_get_rowbytes=PROCEDURE,-
png_get_rows=PROCEDURE,-
png_get_sBIT=PROCEDURE,-
png_get_sCAL=PROCEDURE,-
png_get_sPLT=PROCEDURE,-
png_get_sRGB=PROCEDURE,-
png_get_signature=PROCEDURE,-
png_get_tIME=PROCEDURE,-
png_get_tRNS=PROCEDURE,-
png_get_text=PROCEDURE,-
png_get_unknown_chunks=PROCEDURE,-
png_get_user_chunk_ptr=PROCEDURE,-
png_get_user_transform_ptr=PROCEDURE,-
png_get_valid=PROCEDURE,-
png_get_x_offset_microns=PROCEDURE,-
png_get_x_offset_pixels=PROCEDURE,-
png_get_x_pixels_per_meter=PROCEDURE,-
png_get_y_offset_microns=PROCEDURE,-
png_get_y_offset_pixels=PROCEDURE,-
png_get_y_pixels_per_meter=PROCEDURE,-
png_malloc=PROCEDURE,-
png_memcpy_check=PROCEDURE,-
png_memset_check=PROCEDURE,-
png_permit_empty_plte=PROCEDURE,-
png_process_data=PROCEDURE,-
png_progressive_combine_row=PROCEDURE,-
png_read_end=PROCEDURE,-
png_read_image=PROCEDURE,-
png_read_info=PROCEDURE,-
png_read_init=PROCEDURE,-
png_read_png=PROCEDURE,-
png_read_row=PROCEDURE,-
png_read_rows=PROCEDURE,-
png_read_update_info=PROCEDURE,-
png_reset_zstream=PROCEDURE,-
png_set_IHDR=PROCEDURE,-
png_set_PLTE=PROCEDURE,-
png_set_bKGD=PROCEDURE,-
png_set_background=PROCEDURE,-
png_set_bgr=PROCEDURE,-
png_set_cHRM=PROCEDURE,-
png_set_cHRM_fixed=PROCEDURE,-
png_set_compression_buffer_size=PROCEDURE,-
png_set_compression_level=PROCEDURE,-
png_set_compression_mem_level=PROCEDURE,-
png_set_compression_method=PROCEDURE,-
png_set_compression_strategy=PROCEDURE,-
png_set_compression_window_bits=PROCEDURE,-
png_set_crc_action=PROCEDURE,-
png_set_dither=PROCEDURE,-
png_set_error_fn=PROCEDURE,-
png_set_expand=PROCEDURE,-
png_set_filler=PROCEDURE,-
png_set_filter=PROCEDURE,-
png_set_filter_heuristics=PROCEDURE,-
png_set_flush=PROCEDURE,-
png_set_gAMA=PROCEDURE,-
png_set_gAMA_fixed=PROCEDURE,-
png_set_gamma=PROCEDURE,-
png_set_gray_1_2_4_to_8=PROCEDURE,-
png_set_gray_to_rgb=PROCEDURE,-
png_set_hIST=PROCEDURE,-
png_set_iCCP=PROCEDURE,-
png_set_interlace_handling=PROCEDURE,-
png_set_invert_alpha=PROCEDURE,-
png_set_invert_mono=PROCEDURE,-
png_set_keep_unknown_chunks=PROCEDURE,-
png_set_oFFs=PROCEDURE,-
png_set_pCAL=PROCEDURE,-
png_set_pHYs=PROCEDURE,-
png_set_packing=PROCEDURE,-
png_set_packswap=PROCEDURE,-
png_set_palette_to_rgb=PROCEDURE,-
png_set_progressive_read_fn=PROCEDURE,-
png_set_read_fn=PROCEDURE,-
png_set_read_status_fn=PROCEDURE,-
png_set_read_user_chunk_fn=PROCEDURE,-
png_set_read_user_transform_fn=PROCEDURE,-
png_set_rgb_to_gray=PROCEDURE,-
png_set_rgb_to_gray_fixed=PROCEDURE,-
png_set_rows=PROCEDURE,-
png_set_sBIT=PROCEDURE,-
png_set_sCAL=PROCEDURE,-
png_set_sPLT=PROCEDURE,-
png_set_sRGB=PROCEDURE,-
png_set_sRGB_gAMA_and_cHRM=PROCEDURE,-
png_set_shift=PROCEDURE,-
png_set_sig_bytes=PROCEDURE,-
png_set_strip_16=PROCEDURE,-
png_set_strip_alpha=PROCEDURE,-
png_set_swap=PROCEDURE,-
png_set_swap_alpha=PROCEDURE,-
png_set_tIME=PROCEDURE,-
png_set_tRNS=PROCEDURE,-
png_set_tRNS_to_alpha=PROCEDURE,-
png_set_text=PROCEDURE,-
png_set_unknown_chunk_location=PROCEDURE,-
png_set_unknown_chunks=PROCEDURE,-
png_set_user_transform_info=PROCEDURE,-
png_set_write_fn=PROCEDURE,-
png_set_write_status_fn=PROCEDURE,-
png_set_write_user_transform_fn=PROCEDURE,-
png_sig_cmp=PROCEDURE,-
png_start_read_image=PROCEDURE,-
png_warning=PROCEDURE,-
png_write_chunk=PROCEDURE,-
png_write_chunk_data=PROCEDURE,-
png_write_chunk_end=PROCEDURE,-
png_write_chunk_start=PROCEDURE,-
png_write_end=PROCEDURE,-
png_write_flush=PROCEDURE,-
png_write_image=PROCEDURE,-
png_write_info=PROCEDURE,-
png_write_info_before_PLTE=PROCEDURE,-
png_write_init=PROCEDURE,-
png_write_png=PROCEDURE,-
png_write_row=PROCEDURE,-
png_write_rows=PROCEDURE,-
png_read_init_2=PROCEDURE,-
png_write_init_2=PROCEDURE,-
png_access_version_number=PROCEDURE,-
png_init_io=PROCEDURE,-
png_convert_to_rfc1123=PROCEDURE,-
png_set_invalid=PROCEDURE,-
png_permit_mng_features=PROCEDURE,-
png_handle_as_unknown=PROCEDURE,-
png_malloc_warn=PROCEDURE,-
png_set_user_limits=PROCEDURE,-
png_get_user_height_max=PROCEDURE,-
png_get_user_width_max=PROCEDURE,-
png_set_add_alpha=PROCEDURE,-
png_libpng_ver = data, -
png_sig = data -
)
$ENDIF
$!
$! Writing PNG$SHR.OPT file to build TOOLS
$ IF (SHARED.GT.0)
$   THEN
$	OPEN/WRITE OUT LIBPNG$SHR.OPT
$	WRITE OUT "SYS$SHARE:PNG$SHR/SHARE" 
$	CLOSE OUT
$   ELSE
$	OPEN/WRITE OUT LIBPNG.OPT
$	WRITE OUT "PNG:LIBPNG/LIB"
$	IF (ZLIB_SHARED.EQ.1) 
$	  THEN 
$		WRITE OUT "SYS$SHARE:LIBZSHR/SHARE"
$	  ELSE
$		WRITE OUT "ZLIB:LIBZ/LIB"
$	ENDIF
$	CLOSE OUT
$ ENDIF
$!
$!
$!
$WRITE SYS$OUTPUT "Creating CONFIG.H"
$COPY SYS$INPUT CONFIG.H
/* config.h.in.  Generated from configure.ac by autoheader.  */

#define PNG_NO_SNPRINTF 1
/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the `m' library (-lm). */
#define HAVE_LIBM 1

/* Define to 1 if you have the `z' library (-lz). */
#define HAVE_LIBZ 1

/* Define to 1 if you have the <malloc.h> header file. */
//#define HAVE_MALLOC_H 1

/* Define to 1 if you have the <memory.h> header file. */
//#undef HAVE_MEMORY_H

/* Define to 1 if you have the `memset' function. */
#define HAVE_MEMSET 1

/* Define to 1 if you have the `pow' function. */
#define HAVE_POW 1

/* Define to 1 if you have the <stdint.h> header file. */
//#undef HAVE_STDINT_H

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define  HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Name of package */
#define PACKAGE "libpng"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME "libpng"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "libpng"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "libpng"

/* Define to the version of this package. */
#define PACKAGE_VERSION "1.2.26-VMS"

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Define to 1 if your <sys/time.h> declares `struct tm'. */
#define TM_IN_SYS_TIME 1

/* Version number of package */
#define VERSION "1.2.26-VMS"

/* Define to empty if `const' does not conform to ANSI C. */
#undef const

/* Define to `unsigned int' if <sys/types.h> does not define. */
#undef size_t

$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT " "
$WRITE SYS$OUTPUT "Now you can type @BUILD "
$!
$EXIT:
$DEFINE SYS$ERROR _NLA0:
$DEFINE SYS$OUTPUT _NLA0:
$!DEL TEST.OBJ;*
$!DEL TEST.C;*
$!DEL TEST.EXE;*
$!DEL TEST.OPT;*
$DEAS SYS$ERROR
$DEAS SYS$OUTPUT
